#include "run-time.h"

void _Init_gnu_as_outputter_ () __attribute__((constructor));
void _Init_gnu_as_outputter_ () {
  extern void _Init_Run_Time();
  extern void _Init_binary_outputter_();
  extern void _Init_binary_builder_();
  extern void _Init_binary_manager_();
  extern void _Init_harp_();
  extern void _Init_system_();
  extern void _Init_big_integers_();
  extern void _Init_io_();
  extern void _Init_collections_();
  extern void _Init_common_dylan_();
  extern void _Init_dylan_();
  extern void _Init_gnu_as_outputter__X_library_for_system();
  extern void _Init_gnu_as_outputter__X_gnu_as_outputter_for_system();
  extern void _Init_gnu_as_outputter__X_library_for_user();
  extern void _Init_gnu_as_outputter__X_gnu_as_outputter_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_binary_outputter_();
    _Init_binary_builder_();
    _Init_binary_manager_();
    _Init_harp_();
    _Init_system_();
    _Init_big_integers_();
    _Init_io_();
    _Init_collections_();
    _Init_common_dylan_();
    _Init_dylan_();
    _Init_gnu_as_outputter__X_library_for_system();
    _Init_gnu_as_outputter__X_gnu_as_outputter_for_system();
    _Init_gnu_as_outputter__X_library_for_user();
    _Init_gnu_as_outputter__X_gnu_as_outputter_for_user();
  }
}
